package com.bzd.system.service.fwgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 服务包列表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SFwglServerinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSFwglServerinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServerinfoMapper.addSFwglServerinfo", pd);
    }

    public List<PageData> findSFwglServerinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SFwglServerinfoMapper.selectSFwglServerinfoList", pd);
    }

    public Integer SFwglServerinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SFwglServerinfoMapper.SFwglServerinfoRemove", pd);
    }


    public Integer updateSFwglServerinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServerinfoMapper.updateSFwglServerinfo", pd);
    }

}
